Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ui.actions
Class MoveProjectAction

    java.lang.Object
      org.eclipse.jface.action.Action
          org.eclipse.ui.actions.BaseSelectionListenerAction
              org.eclipse.ui.actions.SelectionListenerAction
                  org.eclipse.ui.actions.CopyProjectAction
                      org.eclipse.ui.actions.MoveProjectAction

All Implemented Interfaces:
  IAction, ISelectionChangedListener

public class MoveProjectAction
extends CopyProjectAction

The MoveProjectAction is the action designed to move projects specifically as they have different semantics from other resources.

Field Summary
`static String` | `ID` The id of this action.

Fields inherited from class org.eclipse.ui.actions.CopyProjectAction
`errorStatus, shell`

Fields inherited from interface org.eclipse.jface.action.IAction
`AS_CHECK_BOX, AS_DROP_DOWN_MENU, AS_PUSH_BUTTON, AS_RADIO_BUTTON, AS_UNSPECIFIED, CHECKED, DESCRIPTION, ENABLED, IMAGE, RESULT, TEXT, TOOL_TIP_TEXT`

Constructor Summary
`MoveProjectAction(Shell shell)` Creates a new project move action with the given text.

Method Summary
`protected String` | `getErrorsTitle()` Return the title of the errors dialog.
`protected Object[]` | `queryDestinationParameters(IProject project)` Query for a new project destination using the parameters in the existing project.
`void` | `run()` Implementation of method defined on `IAction`.

Methods inherited from class org.eclipse.ui.actions.CopyProjectAction
`createDescription, getPlugin, updateSelection`

Methods inherited from class org.eclipse.ui.actions.SelectionListenerAction
`clearCache, getSelectedNonResources, getSelectedResources, resourceIsType, selectionIsOfType`

Methods inherited from class org.eclipse.ui.actions.BaseSelectionListenerAction
`getStructuredSelection, runWithEvent, selectionChanged, selectionChanged`

Methods inherited from class org.eclipse.jface.action.Action
`addPropertyChangeListener, convertAccelerator, convertAccelerator, findKeyCode, findKeyString, findModifier, findModifierString, firePropertyChange, firePropertyChange, getAccelerator, getActionDefinitionId, getDescription, getDisabledImageDescriptor, getHelpListener, getHoverImageDescriptor, getId, getImageDescriptor, getMenuCreator, getStyle, getText, getToolTipText, isChecked, isEnabled, notifyResult, removeAcceleratorText, removeMnemonics, removePropertyChangeListener, setAccelerator, setActionDefinitionId, setChecked, setDescription, setDisabledImageDescriptor, setEnabled, setHelpListener, setHoverImageDescriptor, setId, setImageDescriptor, setMenuCreator, setText, setToolTipText`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ID

    public static final String ID

  The id of this action.

  See Also:
    Constant Field Values

Constructor Detail

### MoveProjectAction

    public MoveProjectAction(Shell shell)

  Creates a new project move action with the given text.

Parameters:
  `shell` - the shell for any dialogs

Method Detail

### getErrorsTitle

    protected String getErrorsTitle()

  Return the title of the errors dialog.

  Overrides:
    `getErrorsTitle` in class `CopyProjectAction`
  Returns:
    java.lang.String

### queryDestinationParameters

    protected Object[] queryDestinationParameters(IProject project)

  Query for a new project destination using the parameters in the existing project.

  Overrides:
    `queryDestinationParameters` in class `CopyProjectAction`
  Parameters:
    `project` - the project we are going to move.
  Returns:
    Object[] or null if the selection is cancelled

### run

    public void run()

  Implementation of method defined on `IAction`.

  Specified by:
    `run` in interface `IAction`
  Overrides:
    `run` in class `CopyProjectAction`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.